//  j2s.h, the jed-to-sue header, comprises
//  variables and functions added to jed.
//  Structure changes are still in the original headers
//  since they could not be moved.

extern void goto_prev_position (void);
//  cursor back to last posiiton

////extern int kill_line(void);
//  from cmds.c

extern SLKeyMap_List_Type *Ctrl_Map;
extern SLKeyMap_List_Type *Alt_Map;
//  two maps added for <ctrl>, <alt> modifiers

extern int shiftkey_select (void);
//  1 if shiftkey selection active in current buffer

extern int get_modifier (void);
//  provide shift status, unix.c

extern int modifier;
//  also used for shift status, unix.c

extern int shiftkey_pressed;
extern int ctrlkey_pressed;
extern int shiftctrlkey_pressed;
extern int altkey_pressed;
//extern int altkey_4slim;
//  0 not pressed, 1 pressed

extern int *Macro_sBuffer_Ptr;
//// must be integer                watch keymap.c misc.c

//
extern SLKeyMap_List_Type *S_Map;
extern SLKeyMap_List_Type *S_C_Map;
extern SLKeyMap_List_Type *C_Map;
extern SLKeyMap_List_Type *A_Map;
//


extern int TXTC;

extern int Cancel_MiniBuffer;
//  exit and discard any result from minibuffer

extern int N_ROW, W_COL, S_ROW, E_COL, PULSE_R, PULSE_C;
//  coordinates for last rectangle, globally available
//  the ticking corner is identified by PULSE_R, PULSE_C.

extern int toggle_block (int *blktype);
//  start block of any type

extern int check_rectangle (void);
//  determine rectangle borders

extern int block_type (void);
//  return blocktype for current buffer

//  rect operations
extern int shift_rectangle_right(void);
extern int shift_rectangle_left(void);
extern int copy_rectangle(void);
extern int cut_rectangle(void);
extern int restore_rectangle();

extern int Viewer_Only;

extern int lineblock_to_stream (void);
extern int stream_to_lineblock (void);

extern int shift_linetext_right(void);
extern int shift_linetext_left(void);
extern int kill_line2 (void);

extern SLKeyMap_List_Type *Slim_Map;

extern void prevbuffer (void);
extern void nextbuffer (void);

extern void save_selection (void);

extern void hide_status_indicators (int *what);

extern int debuG;

extern int rectangle_to_lineblock(void);

extern void split_unsplit ();

extern int SINGLE_ESCAPE;

extern char *best_keystring;
extern int mdf;
extern char *lastf_from_menu;

extern int encoding_len ();

extern int lockstep;
